Bug 790174 - Documentation needs to suggest syncing all gluster nodes to NTP
Summary: Documentation needs to suggest syncing all gluster nodes to NTP
Keywords:
Status: MODIFIED
Alias: None
Product: Gluster-Documentation
Classification: Community
Component: Other
Version: unspecified
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Susan Carpenter
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-13 20:22 UTC by Kyle Squizzato
Modified: 2019-06-12 21:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kyle Squizzato 2012-02-13 20:22:55 UTC
Description of problem:
If gluster nodes get out of sync because their times do not line up many different types of issues can be encountered, the resolution for these issues is to configure NTP on each of the gluster nodes to have them sync to the same time source, however, the documentation does not state this as a required configuration or as a best practice.  

The documentation needs a section that states that NTP is a requirement for each of a users gluster nodes and should provide information on setting up NTP.

Additional info:
Here is the NTP guide that's found within the RHEL6 documentation: http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Migration_Planning_Guide/ch04s07.html

Comment 1 Divya 2012-02-15 07:05:34 UTC
In "Setting Up the Environment for Geo-replication" [1] section, under "Time Synchronization" heading, we have documented about time sync as "On bricks of a geo-replication master volume, all the servers' time must be uniform. You are recommended to set up NTP service to keep the bricks sync in time and avoid out-of-time sync effect."

Even in "Best Practices"[2] section, we have mentioned that "set uniform time on all bricks..."
 
But yes, providing information/link on how to set up NTP will be helpful to users and I will add the same in Geo-replication chapter.


1.http://docs.redhat.com/docs/en-US/Red_Hat_Storage_Software_Appliance/3.2/html/User_Guide/chap-User_Guide-Geo_Rep-Preparation-Settingup_Environment.html

2.http://docs.redhat.com/docs/en-US/Red_Hat_Storage_Software_Appliance/3.2/html/User_Guide/chap-User_Guide-Geo_Rep-Best_Practices.html


Note You need to log in before you can comment on or make changes to this bug.